Public Member Functions | Protected Attributes | Private Member Functions | List of all members
DocMkrTextInternal::SubDocument Class Reference

Internal: the subdocument of a DocMkrText. More...

Inheritance diagram for DocMkrTextInternal::SubDocument:

## Public Member Functions
| SubDocument (DocMkrText &pars, MWAWInputStreamPtr input, int id, libmwaw::SubDocumentType type)
| constructor for a footer zone More...
| SubDocument (DocMkrText &pars, MWAWInputStreamPtr input, std::string const &text, libmwaw::SubDocumentType type)
| constructor for a comment zone More...
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
DocMkrText * | m_textParser
| the text parser More...
int | m_id
| the subdocument id More...
std::string | m_text
| the string text More...
libmwaw::SubDocumentType | m_type
| the subdocument type More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Detailed Description

Internal: the subdocument of a DocMkrText.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

DocMkrTextInternal::SubDocument::SubDocument | ( | DocMkrText & | pars,
|  | MWAWInputStreamPtr | input,
|  | int | id,
|  | libmwaw::SubDocumentType | type
| ) |  |
| inline

constructor for a footer zone

## ◆ SubDocument() [2/3]

DocMkrTextInternal::SubDocument::SubDocument | ( | DocMkrText & | pars,
|  | MWAWInputStreamPtr | input,
|  | std::string const & | text,
|  | libmwaw::SubDocumentType | type
| ) |  |
| inline

constructor for a comment zone

## ◆ ~SubDocument()

virtual DocMkrTextInternal::SubDocument::~SubDocument | ( |  | ) |
| inline virtual

destructor

## ◆ SubDocument() [3/3]

DocMkrTextInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private

## Member Function Documentation

## ◆ operator!=()

bool DocMkrTextInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument& DocMkrTextInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private

## ◆ operator==()

virtual bool DocMkrTextInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const
| inline virtual

operator!==

## ◆ parse()

void DocMkrTextInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_id

int DocMkrTextInternal::SubDocument::m_id
| protected

the subdocument id

Referenced by operator!=().

## ◆ m_text

std::string DocMkrTextInternal::SubDocument::m_text
| protected

the string text

Referenced by operator!=().

## ◆ m_textParser

DocMkrText* DocMkrTextInternal::SubDocument::m_textParser
| protected

the text parser

Referenced by operator!=().

## ◆ m_type

libmwaw::SubDocumentType DocMkrTextInternal::SubDocument::m_type
| protected

the subdocument type

Referenced by operator!=().

The documentation for this class was generated from the following file:

- DocMkrText.cxx